<?
/* Регистрация */
if(isset($_POST['account']) && isset($_POST['password']) && isset($_POST['password2'])) 
{
	if(ereg("^([a-zA-Z0-9_-])*$", 
	$_POST['account']) && ereg("^([a-zA-Z0-9_-])*$", 
	$_POST['password']) && ereg("^([a-zA-Z0-9_-])*$", 
	$_POST['password2']) && strlen(
	$_POST['account'])>3 && strlen(
	$_POST['account'])<=16 && strlen(
	$_POST['password'])>3 && strlen(
	$_POST['password'])<=16 && strlen(
	$_POST['password2'])>3 && strlen(
	$_POST['password2'])<=16 )
	{
	if ( $_POST['password']==$_POST['password2']) 
		{
		$check=mysql_query("select * FROM `user` WHERE login='".$_POST['account']."'");
		$check1=mysql_num_rows($check);
		$check3=mysql_num_rows($check);
	if($check3>0 || $check3>0) 
			{
			$error4in = "<td bgcolor='yellow'><font color='#000000'><b>Такой аккаунт уже живет в мире Lineage II, выберите другой.</b></font></td>"; 
			}
		else 
			{
			if($smtp==1) 
				{
				$accesssmtp=-10;
				}
			else 
				{
				$accesssmtp=0;
				}
			$sql=mysql_query("INSERT INTO `user` (`login` ,`password` ,`name` ,`class` ,`race` ,`sex`) VALUES ('".$_POST['account']."', '".base64_encode(pack('H*', sha1($_POST['password'])))."', '".$_POST['name']."', '".$_POST['class']."', '".$_POST['race']."', '".$_POST['sex']."');"); 
			if($smtp==1)
			{}
			else 
				{
				if($sql) 
					{
					$error4in="<td bgcolor='green'><font color='#000000'><b>Поздравляем вас, вы успешно зарегистрированы.</b></font></td>"; 
					}
				else 
					{
					$error4in="<td bgcolor='yellow'><font color='#000000'><b>Ошибка при регистрации: что-то случилось с базой данных, ждём пока админ исправит.</b></font></td>"; 
					}
				}
			}
		}
else 	{ 
		$error4in = "<td bgcolor='yellow'><font color='#000000'><b>Ошибка при регистрации: вы ввели разные пароли (нужно вводить одинаковые).</b></font></td>"; 
		}
	}
else 
	{
	$error4in = "<td bgcolor='yellow'><font color='#000000'><b>Ошибка при регистрации: Обнаружены пустые поля (логин и пароль должны быть менее 3-х символов).</b></font></td>"; 
	}
}
echo "<div id='error'><table bgcolor='#000000' border='1'><tr>".$error4in."</tr></table></div>";
?>